Package org.flowable.engine.dynamic

# Class DefaultPropertiesParser

java.lang.Object
org.flowable.engine.dynamic.BasePropertiesParser
org.flowable.engine.dynamic.DefaultPropertiesParser

All Implemented Interfaces:
  `PropertiesParser`, `PropertiesParserConstants`, `DynamicBpmnConstants`

public class DefaultPropertiesParser extends BasePropertiesParser
Used for `FlowElement` currently not supported by the `DynamicBpmnService` and elements who are not parsed. Created by Pardo David on 5/12/2016.

- ## Field Summary

  ### Fields inherited from interface org.flowable.engine.DynamicBpmnConstants

  `BPMN_NODE, CALL_ACTIVITY_CALLED_ELEMENT, DMN_TASK_DECISION_TABLE_KEY, ENABLE_SKIP_EXPRESSION, GLOBAL_PROCESS_DEFINITION_PROPERTIES, LOCALIZATION_DESCRIPTION, LOCALIZATION_LANGUAGE, LOCALIZATION_NAME, LOCALIZATION_NODE, MULTI_INSTANCE_COMPLETION_CONDITION, SCRIPT_TASK_SCRIPT, SEQUENCE_FLOW_CONDITION, SERVICE_TASK_CLASS_NAME, SERVICE_TASK_DELEGATE_EXPRESSION, SERVICE_TASK_EXPRESSION, TASK_SKIP_EXPRESSION, USER_TASK_ASSIGNEE, USER_TASK_CANDIDATE_GROUPS, USER_TASK_CANDIDATE_USERS, USER_TASK_CATEGORY, USER_TASK_DESCRIPTION, USER_TASK_DUEDATE, USER_TASK_FORM_KEY, USER_TASK_NAME, USER_TASK_OWNER, USER_TASK_PRIORITY, USER_TASK_TASK_ID_VARIABLE_NAME`

  ### Fields inherited from interface org.flowable.engine.dynamic.PropertiesParserConstants

  `BPMN_MODEL_VALUE, DYNAMIC_VALUE, ELEMENT_ID, ELEMENT_PROPERTIES, ELEMENT_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPropertiesParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.fasterxml.jackson.databind.node.ObjectNode`
  `createPropertiesNode(FlowElement flowElement, com.fasterxml.jackson.databind.node.ObjectNode flowElementNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `boolean`
  `supports(FlowElement flowElement)`

  ### Methods inherited from class org.flowable.engine.dynamic.BasePropertiesParser

  `parseElement, putPropertyValue, putPropertyValue, putPropertyValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPropertiesParser

    public DefaultPropertiesParser()

- ## Method Details

  - ### createPropertiesNode

    protected com.fasterxml.jackson.databind.node.ObjectNode createPropertiesNode(FlowElement flowElement, com.fasterxml.jackson.databind.node.ObjectNode flowElementNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)
    Specified by:
      `createPropertiesNode` in class `BasePropertiesParser`

  - ### supports

    public boolean supports(FlowElement flowElement)
    Specified by:
      `supports` in interface `PropertiesParser`
    Specified by:
      `supports` in class `BasePropertiesParser`